Ubuntu

gutsy amd64 freeze crash lockup

Reported by Jonah on 2007-10-27
56
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
linux-source-2.6.22 (Ubuntu)
Undecided
Unassigned

Bug Description

hi this is affecting a lot of users it seems. whether we all have the same issue or not i don't know, but a lot of peoples' systems are crashing, locking up hard so you can't do anything except pull the plug and reboot.

i'm on gutsy amd64, 4gb ram, nvidia - tried nvidia and nv in xorg. also tried desktop effects turned on and off. still locks up after 5mins or 2 days or anything in between...

here is a thread with a lot of this going on:

http://ubuntuforums.org/showthread.php?t=587905

sam tygier (samtygier) wrote :

what graphics card do you have?

if you have a 7 series card and a dual core CPU it may be Bug #145112

Jonah (jonah) wrote :

ah ok. well i have a 7200 nvidia card and a dual core yeah, so could well be that bug...

Jonah (jonah) wrote :

saying that though i've tried using nv in xorg.conf instead of nvidia, or nvidia-glx whatever. just putting nv, and i still get the occasional freeze, although it does seem to be a bit less frequent...

TomasHermosilla (thermosilla) wrote :

I had a 6x series card and have the same troubles.... i was forced to switch to winxp since i was unable to work with that problem

Jonah (jonah) wrote :

as well as loads of users having this problem in the above thread, i found another thread with many other users with this trouble here: http://ubuntuforums.org/showthread.php?t=585714

Oliver Haag (oliverhaag) wrote :

I had the same problem and think it has something to do with the sata-modules of the kernel. I've switched to the 2.6.23.1 vanilla kernel after this bug destroyed parts of my filesystem. So please fix that, I guess people won't be happy if they find out that a buggy kernel messed up firefox and when they try to reinstall it they find out /etc/apt was deleted and some of their documents were killed too - these are just some of the things that happened here. And yeah, I'm indeed not very happy about that :/.
It works perfectly with vanilla kernel 2.6.23.1, no lockups, no filesystem errors. Tried switching to nv-driver and such stuff before but it didn't help anything. I'm using the proprietary nvidia-driver without any problems now. It looks a bit like noone ever tried gutsy out on a 64 bit system before releasing it - I just hope that this will change soon or I'm forced to switch to another distribution.

My hardware:
Athlon 64 3500+ (Single Core)
2 GiB RAM
nVidia 8600 GT (PCIe)
2 SATA Harddisks (Connected to ports of nForce 550 chipset)

TheValk (lfrbiz-the-valk) wrote :

I am having very specific problems with lockups and these are easily reproducible on my machine.
To save space, here is a link to my earlier posts
http://forum.ntfs-3g.org/viewtopic.php?t=692

SJI (sji) wrote :

I'm experiencing the same lock-ups.
Always when FireFox 2.0.0.8 is active, and by active i mean it is currently getting data from a site or when the page is being scrolled with scroll bars.

I experience lock-ups irrespective of NTFS-3g being loaded or not.

AMD64 X2 4200
4Gb RAM
ASUS A8N-SLI board
Nvidia 7300GS gfx
1 SATA drive
2 PATA CDroms

Looking at all the comments in various forums and bug#, the freeze fenomena:
1. doesn't seem to relate to CPU type, nor to SATA, Graphics card, MB, memory q.ty, or other hardware connected cases.
2. seems to inflict the Xserver only, and blocking the entire PC, basic VT too, not keyb and mouse only
3. booting without startx enables to work on the VT for indefinitive time without freeze problems
4. getting access to the frozen PC through telnet results in no response
5. booting and starting X, then connecting from a remote WS via Telnet works fine but the communication stops working when the PC freezes
6. has no connection to any user space application
7. follows a completely randomic behave; else if nothing is touched after boot, the PC freezes with completely random delay
8. in some cases the problem doesn't exist on the very fresh installation for, at least, hours
9. tested on various new and older PCs (5 years old hw too) without change on behave.
10. ... will add more when discovered

Regards

Andreas Troschka

SJI (sji) wrote :

Following up from my previous post.

I installed Envy last night and used it to firstly remove the Nvidia drivers and then to reinstall them.

Reinstalling the latest drivers made no difference at all, however reinstalling the 96.43.01 drivers makes the system behave much better.

My system had got to the point were it was unusable as it would crash within 30mins and require a hard reset; no crash since installing the 96.43.01 via Envy.

AMD64 X2 4200
4Gb RAM
ASUS A8N-SLI board
Nvidia 7300GS gfx
1 SATA drive
2 PATA CDroms

Leona (leona-devon) wrote :

I have a similar issues, Gusty will lock up randomly, but I'm able to move the mouse but can't click on anything, no keyboard activity either.

I'm running
Gusty 64bit 7.10 Upgraded from 7.04
CPU: AMD64 x2 3800+
M/Board: Asus M2N
1Gb Ram.
Video: Nvidia 6600 Silent (Asus)
Using Nvidia Restricted Drivers.

Andreas Troschka (signupbox) wrote :

Point 3. of my precedent resumee has now been overridden. Freezing has been observed in the following situations:
a. while working on KDE & Gnome
b. in a VT window under X
c. in a VT after boot without starting the Xserver (startx)

I could personally verify point c. case also, on a fresh Kubuntu v7.10 installation, without upgrades first and with them in a later test.

As a consequence of this observations, it seems convincing the opinion the problem is originated by the kernel itself.

I'll ad a point to the list:

10. I've observed that hotplug isn't working cleanly on the HD installation (but it works fine from the live CD), and freeze sometimes happens in concomitance with plugging a new USB external resource (HD);

Regards

zippy028 (johncwheat) wrote :

My System;
ASUS M2N SLI Mobo with Nforce 570 Chipset
AMD 64X2 3800 CPU
1GB corsair DDR2
Western Digital SATA HDD
Nvidia 7300 LE

I believe the hardware I listed is part of the problem with the latest drivers.
I removed all of the "nvidia-glx-new" drivers from my system and all kernel sources and or modules relating to the "new" drivers.

What I have installed for nvidia drivers via synaptic
"linux-restricted-modules-2.6.22.4-14.9"
"nvidia-kernel-2.6.22-14-generic"
"nvidialinux-restricted-modules-2.6.22.4-14.9"
"nvidia-kernel-common"
"nvidia-kernel-source"
not sure if I need all of the above but 3D acceleration is working with compiz set to extra effects.

I completely removed the restricted driver manager pkgs. via synaptic
"restricted-manager"
"restricted-manager-core"

Then I installed version 100.14.09 from the nvidia driver archive and everything seems to be fine now. No freezes when playing tux racer or using Firefox on Youtube it seems to be pretty stable now.

HTH,
John

Andreas Troschka (signupbox) wrote :

11. Tested older kernels taken from Kubuntu v7.04 repository and proved as working with no problems on that distribution version; on v7.10 no change, freezing continues as before.

Andreas Troschka (signupbox) wrote :

One again, and this seems to be of good reference.

12. Kubuntu Gutsy (and I believe this is valid for all Ubuntu flavours) works fine on a fresh, default install so far no update is made

I've a fresh install (from i386 CD image and on-line PC) working for about two days without freeze.
Also installing and using some apps like Firefox and T'bird don't alter the situation.
Update warning tray-panel-icon is present but I have left off to upgrade!

A parallel working PC (same hardware config) runs an equal installation of Kubuntu but updated. So far no update was present it worked fine. Few minutes after update it started to freeze, and it continues to do it now. It can run no more than 10 minutes long without freezing.

------------------------------------------------------------------------------------------------------
*The problem seems to be introduced by the default first update after installation!*
------------------------------------------------------------------------------------------------------

Jerson (jerson) wrote :

Same thing here, I don't have any nvidia card, just a intel graphic integrated, it happens at anytime, with any program. please fix this, why it says "incomplete"?? Andreas Troschka has gave you a lot information. is happening with any kind of hardware!!!

lanzen (lanzen) wrote :

Especially when talking about amd 64 and nvidia series 7 cards bug 145112 seems the same as described here.
I've just installed the new 169.04 beta from nvidia and, so far, no lockups.

Xavi Miró (xmirog) wrote :

It happens the same to me. I have a NVIDIA Geforce 7300 and a AMD Athlon 64 X2 4200+. GNOME freezes many times and the GNOME panel behaves very unstably (some items don't work after some time and I can only restart the OS).

It seems that I can work a little more time with GNOME if I disable the option to turn off the monitor after some time. I have configured my system to put a black screen when "inactive" instead and I switch off my monitor manually when I'm not working with it for a long time.

Also experiencing this problem since upgrading from 7.04 to 7.10. Machine was fine under 7.04. Now, with no hardware changes, lock-ups occur during activity anywhere from between 30 minutes to a day. Sometimes the SysRq key doesn't work, other times it does. Seems worse at times of high workload. Setting to confirmed. If there's specific missing information given what Andreas Troschka has already deduced please let us know. This is a AMD Athlon(tm) 64 X2 Dual Core Processor 4600+ with nVidia chipset and nVidia Corporation NV34 [GeForce FX 5200] (rev a1) (prog-if 00 [VGA]) graphics. 2GiB RAM. Mixed PATA and SATA devices. Given the other comments on this bug, you'd suspect the kernel initially, wouldn't you?

Andreas Troschka (signupbox) wrote :

During the last days I've focused my attention on the USB hotplug malfunction (as of point 10.). I came to the conclusion that:

13. freezing of Gutsy on my computers, completely disappears if the USB v2.0 controller is disabled through the BIOS setup, at the same time USB hotplug works OK through the USB v.1 mode.

This has been observed on:

ASRock K7S41 MB, 2GB DDR, SIS661FX on MB video, 1 ATA/Ultra DMA Mode 6 HD and Kingston 512MB USB memory stick.

Andreas Troschka (signupbox) wrote :

Further data on the HW used are:

AMD Athlon XP 3000+ (socket 462), SiS741 Northbrifge, SiS 963L Southbridge, last BIOS v2.60, OS/2 keyb and mice, no overclock.

It might be useful for sufferers to try the Magic SysRq key when a lock
up occurs.
http://en.wikipedia.org/wiki/Magic_SysRq_key#Raising_Skinny_Elephants
Ctrl-Alt-Backspace isn't the only key combination that may help.

Keith (keith-davis) wrote :

Since upgrading my ancient Gateway 6400 server to Ubuntu 7.10 (Gutsy), the system has experienced a number of random lockups. I have been working on trying to resolve the problem for a solid week with limited success.

My Gateway 6400 server hardware is as follows:

    * 2x 1GHz Intel Pentium III (Coppermine) CPUs
    * 1GB ECC memory
    * 1x LITEON LTN301 ATAPI IDE CD-ROM
    * 1x Python 06240-XXX 8160 DAT Drive
    * 4x IBM DPSS-318350N Fast Wide SCSI Drives (ServerWorks SCSI Controller)
    * Intel(R) PRO/100 NIC
    * RealTek RTL8139 NIC
    * Generic embedded VGA display

My system is NOT running an Xserver. I re-installed the old 2.6.20-16 kernel that shipped with 7.04 (Feisty). Since then, I have experienced 10 days uptime without a single glitch! I believe that I can confirm this as a kernel issue. Something has changed since the 2.6.20 kernel that causes hard locks on my server. My system logs have not shown a single error and Magic SysRq does not work for a safe re-boot. I also tried a newer 2.6.23-8 kernel and was no better than the 2.6.22-14 kernel that shipped with Gutsy.

Surprised this didn't have a package specified. The immediate suspect, especially following Keith's comment, is the kernel. Let's hope someone will visit asking us for the information that would help them.

Changed in linux-source-2.6.22:
assignee: nobody → ubuntu-kernel-team
Robb (v-g) wrote :

I upgraded from 7.04 to 7.10 on laptop HP. Didn't have problems in 7.04 but have some now.

I have short lockups of the screen (x-server). I can move the mouse but no reaction on mouseclicks. No response from hitting keyboard (caps lock). The magic SysRq works, did not test <ctrl><alt><backspace> because I only have SHORT lockups (I guess 10 seconds). I have seen them most in Firefox where I do a lot of mousescrolling.

Addition:
sometimes the mousecursor stops moving.
Resizing of a window (systemmonitor) resulted in a lockup too. Sometimes...
Page down with keyboard in Firefox did not result in visible lockup till now...

When screen locks up and I look at the Systemmonitor I always find cpu2 using 100% capacity (today), no memory increase. CPU goes back to normal 5% when lockup stops after some time.

Scrolling in a webpage in Firefox costs about 40% CPU (for each CPU's simultanously). Sometimes I reach 60%, and then the screen seems to freeze, CPU2 is 100% for some time and goes back again to 3% or so.

I use a HP Pavilion dv6361eu:
AMD Turion 64 X2 mobile TL-56
2 GB memory
NVIDIA GeForce Go 7200 256 MB (shared)
MCP51 Serial ATA Controller (Presario V6133CL)
Hitachi HTS 54161 160 GB HDD
Microsoft Natural Ergonomic Keyboard 4000 (yes, M$ works together with Ubuntu LOL) USB
Typhoon 3 button mouse USB

VideoDriver:
NVidea 100.14.19 (1200x800@50 TFT)

kernel parameters (kernel 2.6.22-14-generic):
acpi=force noapic apci=routeirq pnpbios=off pci=routeirq

Hint: stop scrolling, clicking or typing or whatever directly after a lockup, more clicks cost more time to recover.

Hope this helps...

rcraioveanu (rcraioveanu) wrote :

hello all,
I'm having much the same issue here... at some random interval (from 20 min to a few hours) the computer freezes entirely, with no mouse or keyboard responsiveness. None of the programs are unresponsive (ie. grey) when this happens, and CPU and memory loads during these lockups are entirely normal. From time to time it seems like the computer might briefly be working on something in the background after the freeze, but it never unfreezes... a hard reset is required.

what I have noticed, though, is that if I launch into recovery mode and start X, it does not seem to freeze.
I'd almost try to work like that until I manage to resolve this issue, but for the lack of internet connection :P

now I'm not sure exactly what the difference is between a regular session and one in recovery mode, but it seems like it could pare down the possibilities for what is wrong somewhat.
can anyone else confirm this behaviour / does this help at all?

Wallace (wallaceuk) wrote :

I think I'm seeing something similar, ever since upgrading to Gutsy.

Athlon64 X2 running 32-bit Ubuntu Server (so no X, NVIDIA drivers, etc)

With 2.6.22-14-server after a few hours it locks up. It's as if all disk activity stops - any task that tries to access a disk will hang. No error messages appear in any log - once the lockup has occurred, nothing gets written to disk.

Athlon64 X2 CPU, 3 GB RAM, SATA HDDs, Ubuntu Server.

Booting the 2.6.20-16-server kernel instead, and the system will stay up and stable for weeks.

Robb (v-g) wrote :

Some additional info.
Today it is CPU1 using 100% capacity when locking, CPU2 almost no activity. Till now always 1 Core that is 100% while locked.

Surfing launchpad I found a refference to bug:
https://bugs.launchpad.net/bugs/109643

Difference is that I can work after some time of waiting (when the lockup is over). But I have those messages to:

~$ dmesg | tail
[ 159.756000] Disabling IRQ #7
[ 164.860000] NVRM: Xid (0005:00): 6, PE0000 0f28 ff83b9ec 0000d1f8 00000000 ffc5e0fa
[ 229.120000] NVRM: Xid (0005:00): 26, Ch 000001ff M 00001ffc D ffffffff intr ffffffff
[ 229.120000] NVRM: Xid (0005:00): 1, Ch 000001ff M 00001ffc D ffffffff intr ffffffff
[ 229.120000] NVRM: Xid (0005:00): 7, Ch 000001ff M 00001ffc D ffffffff intr ffffffff
[ 229.128000] NVRM: Xid (0005:00): 6, PE0000 0bd8 00ffffff 0000f85c 00ffffff 00ffffff
[ 895.464000] NVRM: Xid (0005:00): 6, PE0000 0fb0 00ffffff 0000fc50 00ffffff 00ffffff
[ 896.024000] NVRM: Xid (0005:00): 6, PE0000 0fb0 ffffffff 0000fdbc 00ffffff 00ffffff
[ 896.068000] NVRM: Xid (0005:00): 6, PE0000 0fb0 00ffffff 0000ec70 00ffffff 00ffffff
[ 4967.664000] spurious 8259A interrupt: IRQ15.

~$ dpkg -l nvidia-\* | grep ii
ii nvidia-glx-new 100.14.19+2.6.22.4-14.10 NVIDIA binary XFree86 4.x/X.Org 'new' driver
ii nvidia-kernel-common 20051028+1ubuntu7 NVIDIA binary kernel module common files

I don't know if it has anything to do with it but I can't use
sudo cpufreq-set -g ondemand
anymore, not error or something but processorspeed can't be changed after the upgrade, while it worked fine in Feisty.

The same for the nice program:
~$ sudo /usr/sbin/laptop-mode start
sudo: /usr/sbin/laptop-mode: command not found

There was a suggestion to disable powernowd in the URL above. I'll test that tomorrow.

Robb (v-g) wrote :

Found some links that migh't be helpfull for some of us. Please report your solutions here!

http://ubuntuforums.org/showthread.php?t=585714 (thread with 144 replies!)
http://ubuntuforums.org/showthread.php?t=412125 (thread with 820 replies!)

Ooh see, we're not alone :-(

Robb (v-g) wrote :

update:

I followed one of the links from the forums I gave before:
http://ubuntuforums.org/showthread.php?t=512059

I installed Envy as helper software to install the most recent NVidia driver for my videocard (version 169.07).

And good news I had only one Freeze in 6-8 hours yesterday! And today no freeze till now!

So my problem seems to be a driver problem in combination with Gutsy.

Developers: thanx!!!!

Stephen Cradock (s-cradock) wrote :

As an added piece of information, my 64-bit Gutsy was running without any sign of the freeze, with ATI R300 card and the 8.37.6 fglrx driver, on an AMD 3200+ single-core chip. No compiz, no xgl.

Then I increased my RAM from 2 x 256MB to 256MB + 1GB, and the freezes started - random time, no apparent relation to what I was doing or not doing. They go away if I take out the extra RAM and replace the original 256MB stick. They come back if I put the extra memory back in. The new stick checks out with memtest, and the manufacturer's specs say the machine (hp zv6007us) will handle up to 2 x 1GB of RAM.

My symptoms are extreme freeze - no keyboard input, no Trackpad input, so I can't use any of the tricks for rebooting except power button. The freeze does not seem to go away if I wait.

Jerson (jerson) wrote :

I replaced my Ubuntu Gutsy AMD64 bit system for the Ubuntu Gutsy i386 almost 1 month ago. Its working perfectly. Virtualbox, games, java, flash etc, etc. Perfect. This computer is running almost all of the time.
When I was using the Ubuntu 64 bit I had so many crashes...
It seems Ubuntu 32 bit has not the same "freeze crash lockup" problem. Not with my hardware.

P5PE-VM ASUSTeK Computer Inc.
Intel Pentium 4 CPU 3.06GHz
Intel Graphic integrated
1 GB Ram
Ubuntu Gutsy 32 bit

Bob Kline (bkline) wrote :

> It seems Ubuntu 32 bit has not the same "freeze crash lockup" problem.

I wish that were true. I tried switching to the 32-bit Gutsy on my AMD64 and Firefox still froze pretty regularly. I was able to make the freezes go away by ripping out Flash support, which isn't an acceptable solution, as it makes some sites unusable. My most recent attempt at a solution involves disabling powernowd. After that modification I've been able to use Flash without Firefox freezing up, but I haven't been running this way long enough to declare success.

Linux ws 2.6.22-14-generic #1 SMP Tue Dec 18 08:02:57 UTC 2007 i686 GNU/Linux
1.5 GB RAM
AMD Athlon(tm) 64 Processor 2800+

fisuk (fisuk) wrote :

I compiled kernel 2.6.24-rc5 (vanilla) manually about few weeks ago and haven't had any problems since. What I've noticed after the update is that now I'm getting all these messages about npviewer.bin (=nspluginwrapper) segfaulting. And that's something that did not happen using the stock kernel.
Does anyone get these messages using the stock kernel or did I just enable some oddball debug flag?

--
C2Q 6600, 4gb ram, 8800 gts. asus p5kse.

Bob Kline wrote:
> I wish that were true. I tried switching to the 32-bit
> Gutsy on my AMD64 and Firefox still froze pretty regularly.

Hi Bob, can you please be very specific. If Firefox was the only program affected and the rest of the desktop kept working then your problems aren't the ones this particular bug is trying to sort out. This bug is about the whole system stopping responding, except perhaps for Alt-SysRq, etc. Thanks.

Hi fisuk, I'd guess your nspluginwrapper segfaults are due to it running against a kernel that's different from what it can cope with. That's a side-effect of running with a later, hand-installed, kernel as opposed to a repository one from Ubuntu. It's because of these hard-to-predict side-effects that most of us are still suffering daily lock-ups by sticking with the latest broken official one.

Stephen Cradock (s-cradock) wrote :

After reading some of the recent comments in the 64-bit forum I've tried changing the flash player. I uninstalled the nonfree player, and had no freezes with Firefox or at any other time. Then I added gnash, and am still not getting freezes, with 1.2GB RAM.

My freezes were classic complete hang-ups - no input, no cursor movement, no way out but the power switch. More often than not while Firefox was opening a window, but sometimes when it wasn't even open. It does look as if whatever is buggy is stressed particularly by the Adobe flash player. I still have nspluginwrapper installed; maybe it's just not doing anything.

I'm on the "old" kernel, 2.6.22, and using the "old" fglrx driver, 8.37.6. I've tried to strip the 64-bit Gutsy system down to minimise the number of possible causes - not running powernowd, for instance, or even acpid. No compiz (incompatible with fglrx 8.37.6 unless I use xgl).......

Stephen Cradock (s-cradock) wrote :

Just an update - not strictly true to say No freezes, but freezes are much less frequent now without Adobe flash player.

It is still incredibly frustrating that this bug was reported here in October, the 64-bit forum still has dozens of people moaning DAILY about it, and the Importance is still "Undecided".......

FOLKS - DON'T YOU GET IT!!!!!!! WE CARE!!!!!

We care enough about Ubuntu to go on trying to get it working, we try work-around after work-around, we turn off this and we turn off that, just so that we can go on using some core functions, and it STILL doesn't run reliably.

This is affecting LOTS of people, not just a few, not even just the ones who complain. Half the posts on the forum (out of HUNDREDS) say something like "I give up - I'll come back later to see if it's fixed - maybe". Ubuntu is losing people who WANT to use it, on good, modern machines capable of running a 64-bit OS, but run into an unacknowledged (for weeks) bug, and see no sign of progress on fixing it.

Could we at least have some feedback, so that we persistent few can get some idea that maybe something will get fixed?

Or are we all waiting for April? I haven't DARED try Hardy 64-bit yet - even the 32-bit version won't upgrade the kernel to 2.6.24 for me yet, because I need ATI drivers....

Cris987 (mitur-bonstinq) wrote :

This is really frustrating.

I have an Inspiron 1501 with AMD Sempron 3500+ 1G ram and an ATI Xpress 1150 256MB HyperMemory video card.

I did a fresh install of gutsy in late december. It worked okay at first, but after a week, the system began to crash. Sadly, it seems like the crashes are becoming more and more frequent. It crashes when I'm idle, and it seems to crash more frequently when it is idle.

When I have time, I will compile the latest stable kernel to see if it fixes things. I really hope it does.

A machine with AMD Athlon(tm) 64 X2 Dual Core Processor 4600+ ran perfectly stable for months with 7.04. Repeated crashes occurred as soon as the upgrade to 7.10 completed with no other system changes. Have then switched from nv X driver to nvidia and added maxcpus=1 in an attempt to workaround. Still crashes. Keyboard LEDs sometimes flash steadily but otherwise it's locked hard.

I'm not alone. Can someone please give us all some feedback? Do problems like this ever get investigated or are we just meant to sit and hope 8.04 fixes it? What can we do to help? Some who've installed their own later versions of the kernel report the crashes stop so it's probably been fixed already, we need that fix in 7.10 or be told it will never happen so we can make other arrangements.

bojo42 (bojo42) wrote :

i had this on an Amilo A1667G laptop with amd turion, disabling the dynamic frequency scaling solved that problem.

so please test disabling the default frequency scaling tool: powernowd

you can do this for your current session by:

sudo /etc/init.d/powernowd stop

when this solves your hard freezes, better report to the more specific bug report https://bugs.launchpad.net/ubuntu/+source/linux-restricted-modules-2.6.20/+bug/109643

you can also try to disabling powernowd completely on your system by just removing the package through apt-get or synaptic until there is a fix, like i did it.

Hi bojo42,

> sudo /etc/init.d/powernowd stop
>
> when this solves your hard freezes, better report to the more specific
> bug report
> https://bugs.launchpad.net/ubuntu/+source/linux-restricted-modules-2.6.20/+bug/109643

Thanks, I'll try this. But having read bug #109643 it seems they
suffered from 7.04 onwards whereas 7.04 was rock solid here and it was
7.10 that introduced the problem. Still, I'm happy to have something
extra to try.

bhupi (bhupendra-bhatt) wrote :

 Hi
I have installed 32-bit gutsy with xp in virtualbox. Everything works perfect but if I enable usb
in virtualbox, the mouse freezes. I have NVidea GFX 6200 Graphics card
Regards
Bhupi

> I have installed 32-bit gutsy with xp in virtualbox. Everything works
> perfect but if I enable usb in virtualbox, the mouse freezes. I have
> NVidea GFX 6200 Graphics card

Bhupi, I don't think your problems are connected to this bug unless
you're forgetting to tell us something. If it's only the mouse that
stops working and the keyboard still functions, e.g. Ctrl-Tab changes
window focus, then that's not the kind of lock-up this bug's sufferers
are experiencing.

bhupi (bhupendra-bhatt) wrote :

Hi Ralph
 Thanks for the reply. I am new to Linux and not very knowledgable.
 Kind regards
Bhupi

bhupi (bhupendra-bhatt) wrote :

Ralph Corderoy wrote:
>> I have installed 32-bit gutsy with xp in virtualbox. Everything works
>> perfect but if I enable usb in virtualbox, the mouse freezes. I have
>> NVidea GFX 6200 Graphics card
>>
>
> Bhupi, I don't think your problems are connected to this bug unless
> you're forgetting to tell us something. If it's only the mouse that
> stops working and the keyboard still functions, e.g. Ctrl-Tab changes
> window focus, then that's not the kind of lock-up this bug's sufferers
> are experiencing.
>
>
Thanks Ralph
 I have just made the move from XP to ubuntu
and beginning to learn. I have a long way to go yet.
Thanks again
Kind regards
Bhupi

Bhupi, take a look at bug #161748. It may be the same problem with
virtualbox that you're having. If so, add a clear description of what
doesn't work and change the status from `New' to `Confirmed'. You can
do this by clicking on `New'.

zidarsk8 (zidarsk8) wrote :

hi
i'm not sure that this is the same bug, since some say that its not hardware related.
i'm running an amd x2 64bit 4400+, nvidia 6600 gt, 2X512 MB ram, etc.... and i switched from win about 2 weeks ago. i installed kubuntu 7.10 and my computer started freezing randomly like everyone elses. i've reinstalled my gutsy numerous times, and i always run into the same problems. i'v tried using a clean install without anything else and nothing has changed. a couple of days ago i installed this kubuntu again!, but this time did it in a "text mode" ... the second option from the bootable cd..... now it works fine! since it doesn't use nvidia drivers but some vesa drivers and this is the only difference that i could find that could explain this on my pc. (even if i have restricted drivers disabled, if my computer detects the n vidia card - right now it thins its that vesa thing - it starts freezing)

its a bother that i can't use the my pc normally, but it sucks even more since i have a wide-screen monitor and i can only use 4:3 ratio resolutions!

Seif Attar (seifattar) wrote :

I am not sure this is related, but my gutsy keeps crashing as well, but I roughly know what causes my crashing, my Western Digital external hard drive, when I have it mounted and copying files from it, the system crashes for sure! so I can reproduce this anytime! :) but I dont know what to do after it crashed, the magic sysrq dont work, I tried this hard drive on 2 machines both running gutsy64:

Machine 1:

HP Pavilion DV 5094
AMD64 ML-37 CPU
2 Gig Ram
ATI Xpress 200M

Machine 2:
CORE2QUAD 2.4GHz
2 Gig Ram
Nvidia 8500GT

The hard drive is a western digital (MyBook is the model i think), with only one XFS partition.

I realize this might be a broken harddrive, but even though, is ubuntu supposed to crash this way if there's an IO error?

/var/log/messages doesn't have anything in there at the time of the crash.

> I realize this might be a broken harddrive, but even though, is ubuntu
> supposed to crash this way if there's an IO error?

No.

It seems the problem comes along the more busy the machine is. It could
just be that copying lots of files in and out of RAM is busy enough.

Still, only a couple more months before someone comes along and says "Is
it fixed in 8.04". :-(

Seif Attar (seifattar) wrote :

the good news is, my drive is not broken! I started ubuntu in single user mode, and copied the files over with cp, and it succeeds, I managed to copy 200GB, when an X session is running and i copy some files over, the whole machine crashes! :S is there anything I can do to help? since I can reproduce it anytime, isn't there something i can do to find out what is happening?

Seif Attar (seifattar) wrote :

Just to follow up, my computer still crashes (but not as often), even with the drive disconnected.

And how is the importance undecided?!?!? i think it's critical if ubuntu can't run for 2 days without crashing and freezing the system. or are their hidden criteria that I do not know to set what the importance is! is it because no one knows the cause of the crash?

> And how is the importance undecided?!?!? i think it's critical if
> ubuntu can't run for 2 days without crashing and freezing the system.
> or are their hidden criteria that I do not know to set what the
> importance is! is it because no one knows the cause of the crash?

Agreed. This bug's importance doesn't match Ubuntu's own stated
criteria: https://wiki.ubuntu.com/Bugs/Importance Should be High given
the number of AMD64 users on the forums who have been bitten and given
up.

h3 (h3) wrote :

Same problem here, I use Ubuntu Gutsy at work and it drives me crazy.

My computer freeze *at least* one or two times a day, when I say freeze it's cold dead freeze. Everything just stop working in a split second, most of the time is when I click to open a document or a folder, or even an email. Only thing to do is hit reset, even keyboard leds won't respond.

I run Ubuntu 7.10 (Gutsy) with kernel 2.6.22-14-generic on a AMD Athlon X2 dual core 3800+ with 4 GB of ram (only 3.2 shows up ?)

I initially though it was related to Compiz but It doesn't seems to be te case. It's VERY frustrating to be left with no errors whatsoever in logs.

This machine ran windows for a year without a glitch, I installed Ubuntu with much pain to get it working right, one week later one of my hard drive failed for no apparent reasons and now the system is less stable than my bi-polar ex-girlfriend.

Can we agree that this bug should be flagged as "important" ?

P.S.: if someone need any log just tell me wich and how to get it I will provide it.

Vincent Geddes (vgeddes) wrote :

Same problem here. Hard Freeze, have to reset.

Can't find any warnings in the system logs though.

AMD64 Dual Core
Nvidia 8600GT

nokesy (nokesy-9) wrote :

The problem u are all having is a hardware problem
this botherd me for weeks and after alot of reasearch i found out y my computer kept freezing up
 ( mouse and keyboard stops responding and all progrms freezes and forces to reset )
it something to do woth either:

Realtek sound drives or other Realtek devices
or USB wireless tabs such as belkin ect

as soon as uninstalled and deleted all these programms , my computer works fine and is running smooth.

> The problem u are all having is a hardware problem

If you're suggesting we've all got a hardware fault then you are
mistaken. In the particular case I'm monitoring, the exact same
hardware locks up day after day with 7.10 and not at all with 7.04.

I'm glad you've resolved your problem, but it hasn't got anything to do
with ours.

h3 (h3) wrote :
  • unnamed Edit (1.3 KiB, text/html; charset=ISO-8859-1)

If it's hardware problem It seems to be a AMD or Nvidia problem. I have 2
AMD systems, one at work (4800 on Gutsy) which is about one year old and one
at home (5000 on Hardy beta) that is about 6 months old. Both have exactly
the same problem.

2008/4/5, nokesy <email address hidden>:
>
> The problem u are all having is a hardware problem
> this botherd me for weeks and after alot of reasearch i found out y my
> computer kept freezing up
> ( mouse and keyboard stops responding and all progrms freezes and forces
> to reset )
> it something to do woth either:
>
> Realtek sound drives or other Realtek devices
> or USB wireless tabs such as belkin ect
>
> as soon as uninstalled and deleted all these programms , my computer
> works fine and is running smooth.
>
>
> --
> gutsy amd64 freeze crash lockup
> https://bugs.launchpad.net/bugs/157777
> You received this bug notification because you are a direct subscriber
> of the bug.
>

NiklasW (falken) wrote :

Same problem here, system freezes after 2 - 10 min.

Started after I added more RAM.
Everything worked fine (no freezes past 12 months) this was when my system was running on 1 GB RAM (2x 512).
I recently replaced the 2x512MB with 2x2GB modules. The system detects the RAM ok, but as everyone elses explaines above the system freezes.

I did tests on the new RAM but found no errors. Then I removed my Nvidia card - then the system worked just fine. My conclution ubuntu does not work well with 4GB ram together with Nvidia.

My system:

Ubuntu: 7.10 Gutsy (AMD64, x86_64)
AMD X2 Dual core 4400+
2x2GB RAM (DDR2)
Nvidia 7300GS 256MB

Sark (sark47) wrote :

Same problem for me also... system will randomly freeze. I was using Gutsy.
Spent a lot of time trying to figure out what the issue was. I thought it might be related to a TSC drift related problem, but it is inconclusive.
I also recently tried installing Arch Linux with kernel 2.6.22, and it froze during a pacman upgrade.

I also have Win XP on a partition and it works fine... maybe it's most likely something in the kernel?!
This is incredibly frustrating...

My system:
Ubuntu: 7.10 Gutsy, 32-bit
AMD64 X2 3800+
1GB RAM (DDR)
Nvidia 7800GT 256MB

lanzen (lanzen) wrote :

As you may see on my previous post on 2007-11-18 I, as others as well, managed to get past this bug.

That should be the solution, as far as I know, for those who have a nvidia graphic card. I never had any freezes since. To facilitate installation you may try envy.

Recently I've upgraded to Hardy and unless you have any good reason to stick to Gutsy, I'd advise for an update. On my dual core AMD with GeForce 7300 LE Hardy never froze.

viret (viret) wrote :

Hi every one.

First, please pardon my poor english !

I had the same trouble on Debian testing.
I've try everything... without success !

The only solution i've found is to disable ethernet driver in bios setting : in fact, the trouble appears often during network traffic.
So, i've disable the on-board LAN controller in bios, and plug a PCI card.... to do the same things, but on an other way.

Since this time (about 1 month), all goes right : no more freeze !

As far as I know it seems to be a kernel problem ! But, i'm not developer !

Hope this will help you !
Eric

Freeform (falkon303) wrote :

This is an interesting related article worth giving a shot -

http://linuxtechie.wordpress.com/2007/10/15/annoying-freezes-caused-by-nvidia-driver/

According to the article, it's related to cpu scaling from powernowd

Robb (v-g) wrote :

After having lots of problems with short freezes (as discribed earlier)
I did a fresh install of Ubuntu 8.04 (Hardy) on a brand new harddisk in
my HP Pavilion dv6361eu. This did the trick for me, my problems are
gone. The Hardy cd installed driver NVidea version 169.12 just out of
the box.

Best of it is maybe that CPU scaling is installed right out the box too!

maybee you should give it try too!

There are well meaning comments on this bug, try this or that, and this
worked for me, but there's an underlying problem here. Ubuntu don't
seem to have a mechanism for getting users to gather data on a kernel
bug.

The result is we're left on our own. There's plenty of people suffering
on here who would be willing to donate their time but don't have the
skill and there's no technical solution to help them.

At one point, there was talk of using kexec on a panicking kernel to
switch to a second kernel and record the state of the first.
https://wiki.ubuntu.com/LinuxKernelCrashDumpSpec Perhaps the kernel is
panicking some of the time and this would be useful.

Or if it's getting stuck somewhere without panicking, how can we help
debug that? Is there some kind of trace we can enable? Even at the
cost of performance?

At the moment we just turn up and say it froze, describe the hardware,
and wait. Others turn up and do the same. The light at the end of the
tunnel was 8.04 after a six month wait. Well, that's here and the
problems remain.

I don't mean to gripe, and I'm aware there's a lot of volunteer effort
behind Ubuntu for which I'm grateful, but the lack of mechanism for
debugging not just this bug, but this *kind* of bug needs raising at a
higher level.

It looks as if the Linux folks may have a bug report for this problem. http://bugzilla.kernel.org/show_bug.cgi?id=10453

Robb (v-g) wrote :

It's sad, I've had the same short freezes again in kernel, but less, less frequent:

Linux version 2.6.24-16-generic (buildd@palmer) (gcc version 4.2.3 (Ubuntu 4.2.3-2ubuntu7)) #1 SMP Thu Apr 10 13:23:42 UTC 2008 (Ubuntu 2.6.24-16.30-generic)

and

Linux version 2.6.24-18-generic (buildd@terranova) (gcc version 4.2.3 (Ubuntu 4.2.3-2ubuntu7)) #1 SMP Wed May 28 20:27:26 UTC 2008 (Ubuntu 2.6.24-18.32-generic)

Robb (v-g) wrote :

Maybe I have something usefull...

I found these messages for the second time in dmesg just after/on/before the short freezes I experience:

"[ 6797.155790] NVRM: Xid (0005:00): 6, PE0000 0280 00001400 0000fc3c 00ffffff 00000000
[ 6797.171010] NVRM: Xid (0005:00): 36, L1 -> L0
"

found NVRM on another place in dmesg:
"[ 39.932136] NVRM: loading NVIDIA UNIX x86 Kernel Module 169.12 Thu Feb 14 17:53:07 PST 2008"

I have short lockups of the screen (x-server). I can move the mouse but no reaction on mouseclicks. No response from hitting keyboard (e.g. caps lock). I only have SHORT lockups (I guess 10 seconds). I have seen them most in Firefox where I do a lot of mousescrolling (USB mouse).

This is my configuration, if you need more info, feel free to ask for it, I wrote some more info to textfiles!

Hardware: laptop HP Pavilion dv6361eu
CPU: AMD Turion(tm) 64 X2 Mobile Technology TL-56 stepping 02

Linux version 2.6.24-18-generic (buildd@terranova) (gcc version 4.2.3 (Ubuntu 4.2.3-2ubuntu7)) #1 SMP Wed May 28 20:27:26 UTC 2008 (Ubuntu 2.6.24-18.32-generic)

Kernel command line: root=UUID=baa5188b-677c-xxxx-aa72-xxxxxxxxxxxx ro nmi_watchdog=0 quiet splash

(II) NVIDIA GLX Module 169.12 Thu Feb 14 18:45:56 PST 2008

> I have short lockups of the screen (x-server). I can move the mouse
> but no reaction on mouseclicks. No response from hitting keyboard
> (e.g. caps lock). I only have SHORT lockups (I guess 10 seconds). I
> have seen them most in Firefox where I do a lot of mousescrolling (USB
> mouse).

If that's Firefox 3, it might be this... They've switched their
databases to SQLite and every now and again, when it decides to update
the contents of disc, it triggers a particular kind of write.
Unfortunately, if your $HOME is on an ext3 filesystem, ext3 can't handle
that without also doing all other stuff that's been queued up before
hand causing nothing to happen for ten or 20 seconds. Certainly, if the
machine then comes back to normal then I don't think this particular
symptom is the `hard lock up' that this bug is about. Your other
symptoms could well be though, i.e. you're suffering from both problems.

    https://bugzilla.mozilla.org/show_bug.cgi?id=421482

TomasHermosilla (thermosilla) wrote :

I'm using hardy (32 bit) right now, and the freezes persist, but only when i'm using a wifi connection

My system:

CPU amd sempron 3500+
2 GB ram
HD SATA 120 Gb
Nvidia GeForce 6200
Wifi card: Broadcom Corporation BCM94311MCG wlan mini-PCI (rev 02) (ndiswrapper 1.50)

bhupi (bhupendra-bhatt) wrote :

Hi
Thanks for the bug report. Don't know if the following is relevant.
I have upgraded to Hardy (8.04). When I first upgraded, I was having problems bootoing in. I had to press escape and go into recovery mode and press rfix. Since then (over 15 days now) Hardy hasn't crashed once, even after leaving the pc on whole day. I also have 32-bit AMD Athalon 2800+ with gigabyte motherboard and Nvidia GForce 6200 graphics card. It works well with wifi connection as well as wired ethernet.
Kind regards.
Bhupendra (bhupi)

TomasHermosilla (thermosilla) wrote :

trying to set a pattern from the lockups, i can say that there are more frecuent if i have an open window/tab with a site like netvibes.com or gmail. I'm trying to identify if skype can be a source of crashes

Still happening with vmlinuz-2.6.24-19-generic. One thing I've just noticed, printk() output in dmesg has a timestamp at the start of the line. It should be seconds since booting but this machine is consistently running at about 1600 "seconds" an hour. Could this be connected? Some kind of CPU power-saving causing problems? Or a separate bug? I've now got the netconsole module running with a second machine logging and /proc/sys/kernel/printk set to 9 and /proc/sys/kernel/printk_ratelimit to 0 so I'm hoping SysRq key will work on the next lock-up.

Robb (v-g) wrote :

I'm not sure if I should post this info here as if I use kernel 2.6.24-19 now, but maybe it is usefull for older kernels too...
Or for you kernel developers ;-)

Found some things worth testing on the Linux NVidea forum:
http://www.nvnews.net/vbulletin/showthread.php?t=46678
and
http://www.nvnews.net/vbulletin/showthread.php?t=58498

I am testing right now Kernel command line:
root=UUID=xxxxxxxx-xxxx-xxxx-xxxx-xxxxx976d1bc ro nmi_watchdog=0 quiet splash idle=poll maxcpus=1
where I manually added "idle=poll maxcpus=1".

Last 2,5 hours no screenflashing and short freezes, so maybe worth testing for you too...
This is of course not a real solution, why using 1 CPU when I have 2!

test Configuration:
AMD Turion 64 X2 mobile TL-56
2 GB memory
nVidia Corporation GeForce Go 7200 rev 161 256 MB (shared)
Original clean Ubuntu 8.04 installation, fully updated.
Linux version 2.6.24-19-generic (buildd@vernadsky) (gcc version 4.2.3 (Ubuntu 4.2.3-2ubuntu7)) #1 SMP Wed Jun 4 16:35:01 UTC 2008 (Ubuntu 2.6.24-19.33-generic)
NVIDIA UNIX x86 Kernel Module 169.12 Thu Feb 14 17:53:07 PST 2008

OK, got a freeze with vmlinuz-2.6.24-19-generic. Alt-SysRq didn't work. Reset button needed. Attached is what was logged by netconsole.

Got another lock-up, "Unable to handle kernel NULL pointer dereference at 0000000000000000 RIP: [<ffffffff8028f71f>] isolate_lru_pages+0x9f/0x210"; see attached netconsole output. /proc/version_signature = Ubuntu 2.6.24-19.33-generic. Are these the kind of things developers want?

NiklasW (falken) wrote :

Update from me (feel free to request more date if needed)

I thought I avoided the freezing by removing my nvidia card, the system has worked OK for a wile now. But now after chaning the driver to my internal AMD X1250 card to the fglrx driver I got back to old issue connected with the 4GB ram.. did a lot of testing back and forth... got kernel errors and error saing something like CPU0 locked/freexed process 1234 for 11 sec (just before the whole system froze).

Then I removed 2GB (leaving 2GB on the system). Everyting worked great again... no change to any drivers or anything. I would bet that the system would now also accept my nvidia card without problems. My conclution (or thougt) is that the issue is that something in the system (kernel, or a module??) does not handle 4GB RAm in a correct way. ( I did test with a diffrent disk (installing XP on it) and the system ran just fine (with 4GB ram). Reminder my issues started when moving from 1GB to 4 GB...

Feels wrong to have a 2GB of RAM on the table.. not on the system...

Another lock-up. Kernel netconsole attached. "Unable to handle kernel NULL pointer dereference at 0000000000000226 RIP: [<ffffffff802895f8>] __rmqueue+0x138/0x240". /proc/version_signature is Ubuntu 2.6.24-19.34-generic. I'm going to keep adding these in the hope it's doing some good. :-)

  • l Edit (1018 bytes, text/plain)

Another lock-up. Kernel netconsole attached. It locks more frequently than this, but I'd estimate netconsole output exists for only every other one. "Unable to handle kernel NULL pointer dereference at 0000000000000200 RIP: [<ffffffff8025cd04>] tick_sched_timer+0x64/0x100". /proc/version_signature is Ubuntu 2.6.24-19.34-generic.

Another lock-up. Kernel netconsole attached. "Unable to handle kernel NULL pointer dereference at 0000000000000058 RIP: [<ffffffff80249a70>] handle_stop_signal+0x10/0x1c0". Ubuntu 2.6.24-19.34-generic still. Any "next step" suggestions to providing more info or accuracy welcome.

Morning already? Another day, another lock-up. Kernel netconsole attached. "Unable to handle kernel NULL pointer dereference at 0000000000000200 RIP: [<ffffffff8025cd04>] tick_sched_timer+0x64/0x100". Ubuntu 2.6.24-19.34-generic.

Beginning with the Hardy Heron 8.04 development cycle, all open Ubuntu kernel bugs need to be reported against the "linux" kernel package. We are automatically migrating this bug to the new "linux" package. However, development has already began for the upcoming Intrepid Ibex 8.10 release. It would be helpful if you could test the upcoming release and verify if this is still an issue - http://www.ubuntu.com/testing . If the issue still exists, please update this report by changing the Status of the "linux" task from "Incomplete" to "New". We appreciate your patience and understanding as we make this transition. Thanks!

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Rich (cuda-rich) wrote :

I repro in Ibex Alpha 6 and previously on 64bit Heron. System was rock solid when it ran 32 bit Heron. Hard locks several times a day, typically during higher activity/interactivity per above accounts & making it difficult to seriously use the machine.

rich (rich8) wrote :

My 64bit Ibex system seems stable after changing SDRAM timings in the BIOS - sticks were advertised as 4-4-4-15 so that's what I originally manually set them as. After I posted above on 9/21 I changed BIOS settings to "Auto", which selects 5-5-5-15 timings & it has been stable under Ibex64 Alpha 6 ever since - difference is dramatic. Not sure if this fixes the root cause of my problem or if it's just masking it; 4-4-4 timings were not a problem under 32 bit Ubuntu/Win32/Win64 (all stable under heavy CPU/IO loads whereas 64 bit Hardy & Ibex were not) & I had previously run memtest w/ 4-4-4 timings w/o errors. Can anyone else repro 64bit instability?

h3 (h3) wrote :

After months of acceptable stability, the problems seems to be coming back.

Again my system is locking up on a daily basis. It's the only bug that makes me want to switch from Ubuntu, I'm getting pretty f*cking exasperated.

It happens exactly like it use to happen on Gutsy (I'm now on Hardy). I'm working normally with many programs open, then open Firefox, Thunderbird or Open Office (I noticed it happens more often with these..) and while it loads I click somewhere else. Then mouse stop but not instantly, it's like a 2~3 seconds gradual slowdown which leads to a complete system lock.

And again, nothing unusual appears in log files.

For more infos on my setup, refer to my previous comment:

https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/157777/comments/55

The only thing that changed is the OS version, I was on Gutsy, now I'm on Hardy (2.6.24-21-generic).

SJI (sji) wrote :

Since my message on 2007-11-11 I've left my Nvidia drivers as per that message and have upgraded the Hardy.

I've not had a single lock up since that time.

databubble (phil-linttell) wrote :

Able to reliably reproduce freeze on 8.10 (Intrepid) 2.6.27-7 with dual-core AMD64, and multiple versions of NVIDIA drivers.

Changed in linux:
status: Incomplete → New
databubble (phil-linttell) wrote :

Please see the following kernel bug report which includes some details of my system configuration and steps to reproduce.

http://bugzilla.kernel.org/show_bug.cgi?id=11527...

The problem appears to be related to interrupt handling (and possibly CPU frequency power management) on multi-core AMD64 CPUs and NVIDIA drivers. It occurs over multiple releases of the kernel and the video drivers, different (ADM64 multi-core) CPUs, different motherboards, and different NVIDIA chip-sets. It appears to effect a quite a large number of people.

Common denominators is ADM64, multi-core, NVIDIA. Easiest way to diagnose the problem, is that the system will not freeze with kernel boot parameter MAXCPUS=1. Some people have found other ways around the problem by restricting interrupt handling to the first core.

The freeze can be easily provoked using an Atheros chipset 802.11n network card and the ath9k driver and heavy network activity.... running something like a bittorrent client causes plenty of traffic, interrupts, and freezes the system in seconds... however it also occurs in other circumstance. Limiting the system to a single core avoids all freezes.

rwilson (rwilson-gowebtop) wrote :

I believe this bug is related to c1e. If you google amd 64 c1e, you will find a patch that disables it; however, I don't believe this patch ever entered the mainline kernel.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

ksg (keith-groves) wrote :

I also suffer these freezes. I've put the details of my experience in https://bugs.launchpad.net/ubuntu/+bug/347150 where I've logged suspend doesn't work on the same hardware.

AMD64, 4Gb, nvidia 7300GS.

databubble (phil-linttell) wrote :

ksg,

The freezes I was experiencing have been resolved in the 2.6.29 kernel. These changes are being back-ported to 2.6.28 and 2.6.27 as I understand it, but I don't believe they've been released yet.

I suggest trying 2.6.29.

ksg (keith-groves) wrote :

Using 2.6.29 with default kernel params still shows the problem (installed from the instructions at http://www.ramoonus.nl/2009/03/24/linux-kernel-2629-installation-guide-for-ubuntu-and-debian-linux/).

But when used in conjunction with kernel parameters "noapic" & "maxcpus=1" the freezes don't [appear to] happen [yet]. So I do have a workaround now.

The "noapic" & "maxcpus=1" params didn't solve the problem for me when using 2.6.28.

ksg (keith-groves) wrote :

Some results of testing various combinations on my system:

 Using 2.6.29 with default kernel params has the problem.
 Using 2.6.29 with "noapic" has the problem.
 Using 2.6.29 with "maxcpus=1" fixes the problem.

(2.6.29 = http://www.ramoonus.nl/2009/03/24/linux-kernel-2629-installation-guide-for-ubuntu-and-debian-linux/ )

 Using 2.6.28 with default kernel params has the problem.
 Using 2.6.28 with "noapic" has the problem.
 Using 2.6.28 with "maxcpus=1" fixes the problem (despite what I put to the contrary in my previous post dated 2009-04-18).

(2.6.28 = Linux ubuntu-desktop 2.6.28-9-generic #31-Ubuntu SMP Wed Mar 11 15:43:49 UTC 2009 x86_64 GNU/Linux)

i.e. the behaviour is the same (for me) in both kernels.
Are there some kernel params for disabling use of the full 4GB RAM? I could try those and see if that also fixes the problem.

Hi info-jnmedia,

Please be sure to confirm this issue exists with the latest development release of Ubuntu. ISO CD images are available from http://cdimage.ubuntu.com/releases/ . Please then run following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux-image-`uname -r` 157777

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu release http://www.ubuntu.com/getubuntu/download . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.